> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get task list templates

GET https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/task_list_templates

Returns all task list templates associated with the active user's company.

## Permissions

Anyone with a valid access token can call this method.

Reference: https://developers.docusign.com/docs/rooms-api/reference/tasklists/tasklisttemplates/gettasklisttemplates

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

### Query parameters

- `startPosition` (integer, optional, default: 0) — The starting zero-based index position from which to start returning values. The default is `0`.
- `count` (integer, optional, default: 100) — The number of results to return. This value must be a number between `1` and `100` (default).

## Response

### 200

Successfully returned list of task list templates.

- `taskListTemplates` (list of TaskListTemplate, optional) — A list of task list templates.
- `resultSetSize` (integer, optional) — The number of results returned in this response.
- `startPosition` (integer, optional) — The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is `0`.
- `endPosition` (integer, optional) — The last zero-based index position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. This property is `null` for the last set of search results.
- `priorUri` (string, optional) — The URI for the previous chunk of records based on the search request. This property is `null` for the first set of search results.
- `totalRowCount` (integer, optional) — The number of results in this reponse.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### TaskListTemplate

Contains details about a task list template.

- `taskListTemplateId` (integer, optional) — The ID of the task list template.
- `name` (string, optional) — The name of the task list template.
- `taskCount` (integer, optional) — The total number of tasks in the task list template.
- `tasksWithDocumentsCount` (integer, optional) — The number of tasks in the task list template that have documents associated with them.

## Examples

**Response**

```json
{
  "taskListTemplates": [
    {
      "taskListTemplateId": 1,
      "name": "string",
      "taskCount": 1,
      "tasksWithDocumentsCount": 1
    }
  ],
  "resultSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUri": "string",
  "priorUri": "string",
  "totalRowCount": 1
}
```